﻿using System;
using System.Collections.Generic;

namespace YeldSample
{
    public class Person
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }

   public static class Program
    {

        #region Junior

        public static List<Person> SimpleDataPrepration()
        {
            var obj = new List<Person>();
            obj.Add(new Person() { ID = 1, Name = "Asghar An Chehreh" });
            obj.Add(new Person() { ID = 2, Name = "Kambiz Dashaghpour" });
            obj.Add(new Person() { ID = 2, Name = "Fered Basaniyan" });
            obj.Add(new Person() { ID = 2, Name = "Kobra Palangzadeh" });
            return obj;
        }

        #endregion


        #region Senior

        public static IEnumerable<Person> WiseDataPrepration()
        {
            yield return new Person() { ID = 1, Name = "Asghar An Chehreh" };
            yield return new Person() { ID = 2, Name = "Reza non khali khoor" };
            yield return new Person() { ID = 3, Name = "Kambiz Dashaghpour" };
            yield return new Person() { ID = 4, Name = "Fered Basaniyan" };
            yield return new Person() { ID = 5, Name = "Kobra Palangzadeh" };
        }

        #endregion


        #region Same
        public static void ShowStaff()
        {
            Console.WriteLine("List of staff....\n------");

            //foreach(var item in SimpleDataPrepration())
            //{
            //    Console.WriteLine(item.Name);
            //}

            foreach (var item in WiseDataPrepration())
            {
                Console.WriteLine(item.Name);
            }

        }
        #endregion
        static void Main(string[] args)
        {
            ShowStaff();
            Console.ReadKey();
        }
    }
}